2021-02-25 17:48 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004962WHDLoad Installs Gamesslavepublic2021-01-24 20:56
ReporterRetroplay 
Assigned ToJOTDProject InfoWHDLoad Installs for Games
http://whdload.de/download.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004962: Apprentice v2.0 crash on 68020
Descriptionhttp://www.whdload.de/games/Apprentice.html

v2.0 slave crashes if using 68020 when exiting first level
Steps To ReproduceGrab the green key and exit first level
Additional Information68030 is not affected and works fine.

Quickstart A1200+4mb ram = crash
Quickstart A1200+4mb ram and CPU changed to 68030 = works

Latest WHDLoad 18.7.6244
Register attached.
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem4 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.6
imported
Attached Files
  • ? file icon .whdl_register (7,342 bytes) 2021-01-21 16:43 -
    ************************* 21-Jan-21 16:36:55 ************************18.7.6244***
    Slave='Apprentice.slave' (1780 bytes)
    Resload     5EF790 -   5F5EF4 (  26468) at 5EF790  GL=$5F7380
    Slave       5FF230 -   5FF900 (   1744) at 5FF230  BaseMemSize=$80000
    ExpMem      5F6000 -   5F7000 (   4096) at 5F6000
    attn=203(UAE,20) fc=-1 kn=0 cs=D231 rw=1 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
    (COPPER/VBLANK/BLITTER)" ($6C) at $5F12FA (Resload $1B6A) occured.
    
    $005f12d8 move.b       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12da move.b       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12dc subq.l       #2,d0
    $005f12de move.l       a0,d1
    $005f12e0 btst         #0,d1
    $005f12e4 beq.b        $5f12ee
    $005f12e6 btst         #1,($54b,a4)                   ;$005f78cb
    $005f12ec beq.b        $5f131a
    $005f12ee move.w       d0,d1
    $005f12f0 lsr.l        #5,d0
    $005f12f2 subq.w       #1,d0
    $005f12f4 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12f6 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12f8 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    ›1m$005f12fa move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    ›22m$005f12fc move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12fe move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f1300 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f1302 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f1304 dbf          d0,$5f12f4
    $005f1308 sub.l        #$10000,d0
    $005f130e bpl.b        $5f12f4
    $005f1310 and.w        #$1f,d1
    $005f1314 beq.b        $5f1320
    $005f1316 move.w       d1,d0
    $005f1318 ext.l        d0
    $005f131a move.b       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f131c subq.l       #1,d0
    $005f131e bne.b        $5f131a
    
    exception stackframe:
    $00000174 2008005F 12FA006C
    regular stack:
    $0000017C 005F375C 005F37EA 0006514A 000047C8 00000001 00060A20 005EFC5C 005FF8FA
    $0000019C 0006514A 000047C8 00060A20 00060A20 00007F08 005FF678 0000009E 0000FFFF
    $000001BC 584D4654 0000FFFF 00000008 00000000 00000100 0000FF10 00060A20 00007F08
    $000001DC 00007F08 0000BB9C 000675BA 00020CBC 0006763A 0001C306 0000009E 0000EE56
    $000001FC 000002E4 60086000 01026000 019033FC 7FFF00DF F09A23FC 00000212 00000020
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       41    5547C8        31     6514A         0      47C8       100     F2300
    Ax   5613C2     649AC     60A20    4F82EC    5F7380     20CBC     6763A
    
                     TTSM III   XNZVC
    PC=  5F12FA›22m  SR %0010000000001000  USP=7FC00  ›1mISP=174  MSP=7F800
    VBR=5F8380  SFC=5  DFC=5  CACR=0  CAAR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000101000›22m dmacon=%›1m0000011111100000 adkcon=$1100
    intreq=%0000000000100000
    vposr....A300  vhposr...0271  joy0dat..0302  joy1dat..0408  clxdat...80CC  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..0000  
    deniseid.00F8  hhposr...00BE  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=00111F  icr=00  sdr=00    event=14EEE7  icr=00  sdr=00
    
    ************************* 21-Jan-21 16:36:58 ************************18.7.6244***
    Slave='Apprentice.slave' (1780 bytes)
    Resload     5EF790 -   5F5EF4 (  26468) at 5EF790  GL=$5F7380
    Slave       5FF230 -   5FF900 (   1744) at 5FF230  BaseMemSize=$80000
    ExpMem      5F6000 -   5F7000 (   4096) at 5F6000
    attn=203(UAE,20) fc=-1 kn=0 cs=D231 rw=1 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
    (COPPER/VBLANK/BLITTER)" ($6C) at $5F12FA (Resload $1B6A) occured.
    
    $005f12d8 move.b       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12da move.b       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12dc subq.l       #2,d0
    $005f12de move.l       a0,d1
    $005f12e0 btst         #0,d1
    $005f12e4 beq.b        $5f12ee
    $005f12e6 btst         #1,($54b,a4)                   ;$005f78cb
    $005f12ec beq.b        $5f131a
    $005f12ee move.w       d0,d1
    $005f12f0 lsr.l        #5,d0
    $005f12f2 subq.w       #1,d0
    $005f12f4 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12f6 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12f8 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    ›1m$005f12fa move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    ›22m$005f12fc move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f12fe move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f1300 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f1302 move.l       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f1304 dbf          d0,$5f12f4
    $005f1308 sub.l        #$10000,d0
    $005f130e bpl.b        $5f12f4
    $005f1310 and.w        #$1f,d1
    $005f1314 beq.b        $5f1320
    $005f1316 move.w       d1,d0
    $005f1318 ext.l        d0
    $005f131a move.b       (a0)+,(a1)+                    ;$005613c2 $000649ac
    $005f131c subq.l       #1,d0
    $005f131e bne.b        $5f131a
    
    exception stackframe:
    $00000174 2008005F 12FA006C
    regular stack:
    $0000017C 005F375C 005F37EA 0006514A 000047C8 00000001 00060A20 005EFC5C 005FF8FA
    $0000019C 0006514A 000047C8 00060A20 00060A20 00007F08 005FF678 0000009E 0000FFFF
    $000001BC 584D4654 0000FFFF 00000008 00000000 00000100 0000FF10 00060A20 00007F08
    $000001DC 00007F08 0000BB9C 000675BA 00020CBC 0006763A 0001C306 0000009E 0000EE56
    $000001FC 000002E4 60086000 01026000 019033FC 7FFF00DF F09A23FC 00000212 00000020
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       41    5547C8        31     6514A         0      47C8       100     F2300
    Ax   5613C2     649AC     60A20    4F82EC    5F7380     20CBC     6763A
    
                     TTSM III   XNZVC
    PC=  5F12FA›22m  SR %0010000000001000  USP=7FC00  ›1mISP=174  MSP=7F800
    VBR=5F8380  SFC=5  DFC=5  CACR=0  CAAR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000101000›22m dmacon=%›1m0000011111100000 adkcon=$1100
    intreq=%0000000000100000
    vposr....A300  vhposr...0271  joy0dat..0302  joy1dat..0408  clxdat...80CC  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..0000  
    deniseid.00F8  hhposr...00BE  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=00111F  icr=00  sdr=00    event=14EEE7  icr=00  sdr=00
    
    ? file icon .whdl_register (7,342 bytes) 2021-01-21 16:43 +
  • zip file icon Apprentice.zip (1,397 bytes) 2021-01-24 15:20

-Relationships
has duplicate 0004964closedJOTD Apprentice Game crashes WHDLoad right before level 1 load/start 
+Relationships

-Notes

note ~0009465

ransom (reporter)

The same crash happens end of world 8 when using 68030 cpu

note ~0009470

JOTD (developer)

Last edited: 2021-01-24 14:07

View 2 revisions

crash happens before starting on level 1 on relatively slow CPU. (winuae 68020 A1200 speed)

note ~0009471

JOTD (developer)

can you test this version?

note ~0009472

JOTD (developer)

@Retro-Nerd can you test this version ?

note ~0009474

Retro-Nerd (reporter)

Completed Level 1 and 2 without issues. Seems the bug is fixed. Thanks, JOTD. :)

note ~0009478

Retroplay (reporter)

Seems good, no more crashing on 68020 when exiting level 1.

note ~0009479

JOTD (developer)

stack relocation fixed the issue... Still don't understand exactly what caused it...
+Notes

-Issue History
Date Modified Username Field Change
2021-01-21 16:43 Retroplay New Issue
2021-01-21 16:43 Retroplay File Added: .whdl_register
2021-01-22 11:58 ransom Note Added: 0009465
2021-01-24 10:56 JOTD Note Added: 0009470
2021-01-24 10:56 JOTD Assigned To => JOTD
2021-01-24 10:56 JOTD Status new => confirmed
2021-01-24 10:57 JOTD Relationship added has duplicate 0004964
2021-01-24 14:07 JOTD Note Edited: 0009470 View Revisions
2021-01-24 15:20 JOTD File Added: Apprentice.zip
2021-01-24 15:20 JOTD Note Added: 0009471
2021-01-24 15:20 JOTD Status confirmed => feedback
2021-01-24 15:20 JOTD Note Added: 0009472
2021-01-24 17:02 Retro-Nerd Note Added: 0009474
2021-01-24 20:33 Retroplay Note Added: 0009478
2021-01-24 20:33 Retroplay Status feedback => assigned
2021-01-24 20:56 JOTD Status assigned => closed
2021-01-24 20:56 JOTD Resolution open => fixed
2021-01-24 20:56 JOTD Note Added: 0009479
+Issue History